Rwanda RAMS - Task #48
Task # 46 (New): [TMS] Reports development

[TMS] Reports > Daily Count Direcition-wise
02/04/2024 03:22 PM - Kalyan Battula

Status: Ready for Prod Start date: 02/04/2024
Priority: High Due date:

Assignee: Ravi Shekar Gotimukul % Done: 100%
Category: Estimated time: 0:00 hour
Target version: 1.0.0.0_QA Spent time: 0:00 hour
Deployed In: Production Environment Category:

Description

-Province, district, roads, stations dropdowns to be dependent in the same order
sub-filters dropdown values not getting cleared based on the selection of parent filter dropdown

History

#1 - 02/04/2024 02:55 AM - Kalyan Battula
Province, district, roads, stations dropdowns to be dependent in the same order.
sub-filters dropdown values not getting cleared based on the selection of parent filter dropdown

generate report based on the filter selected
"1. change the report headers - Class-1 as Motor Cycle ; class-2 as Light Vehicles ; class-3 as Heavy Vehicles
2. ideally, 5 days itis 12 hrs, and 2 days it is 24 hrs, so night rows should be 2 instead of 4 (I have made these changes in SP)"

we need a dropdown for report type - Road wise or District-wise.

"based on the selection the report format will change as below

if District-wise then report will be as existing and if road-wise then show in one single page order by total ADT and direction in descending order.
2. by default road-wise report type to be shown"

#2 - 02/04/2024 02:59 AM - Sivakanth Kesiraju

- Assignee set to Harinath Vajrala
#3 - 03/04/2024 11:17 PM - Bhanuchander Sannidhanam
Kalyan Battula wrote:

-Province, district, roads, stations dropdowns to be dependent in the same order
sub-filters dropdown values not getting cleared based on the selection of parent filter dropdown

Resolved

#4 - 15/04/2024 10:48 PM - Harinath Vajrala

- Status changed from New to Ready for Prod

- Assignee changed from Harinath Vajrala to Ravi Shekar Gotimukul

Deployed in Dev

#5 - 16/10/2024 02:59 PM - Ravi Shekar Gotimukul
- % Done changed from 0 to 100

- Deployed In set to Production Environment

Fixed and deployed in production. this issue is closed.
